---
title: WebGL2RenderingContext.getSyncParameter()
slug: Web/API/WebGL2RenderingContext/getSyncParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getSyncParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns parameter information of a {{domxref("WebGLSync")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getSyncParameter(<var>sync</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>sync</dt>
 <dd>A {{domxref("WebGLSync")}} object.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which information to return. Possible values:
 <ul>
  <li><code>gl.OBJECT_TYPE</code>: Returns a {{domxref("GLenum")}} indicating the type of the sync object (always <code>gl.SYNC_FENCE</code>).</li>
  <li><code>gl.SYNC_STATUS</code>: Returns a {{domxref("GLenum")}} indicating the status of the sync object (<code>gl.SIGNALED</code> or <code>gl.UNSIGNALED</code>).</li>
  <li><code>gl.SYNC_CONDITION</code>: Returns a {{domxref("GLenum")}} indicating the sync objects' condition (always <code>gl.SYNC_GPU_COMMANDS_COMPLETE</code>).</li>
  <li><code>gl.SYNC_FLAGS</code>: Returns a {{domxref("GLenum")}} indicating the flags with which the sync object was created (always 0 as no flags are supported).</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on the <code>pname</code> parameter, either a {{domxref("GLenum")}} or a {{domxref("GLbitfield")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var sync = gl.fenceSync(gl.SYNC_GPU_COMMANDS_COMPLETE, 0);
gl.getSyncParameter(sync, gl.SYNC_STATUS);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.14", "getSyncParameter")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGetSynciv.xhtml", "glGetSynciv")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getSyncParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLSync")}}</li>
</ul>
